LocalizationStatus (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: LocalizationStatus

Package org.apache.hadoop.yarn.api.records

# Class LocalizationStatus

java.lang.Object
org.apache.hadoop.yarn.api.records.LocalizationStatus

@Public @Unstable public abstract class LocalizationStatus extends Object
Represents the localization status of a resource. The status of the localization includes:

- resource key
- `LocalizationState` of the resource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalizationStatus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getDiagnostics()`
  Get the diagnostics.
  `abstract LocalizationState`
  `getLocalizationState()`
  Get the localization sate.
  `abstract String`
  `getResourceKey()`
  Get the resource key.
  `static LocalizationStatus`
  `newInstance(String resourceKey, LocalizationState localizationState)`
  `static LocalizationStatus`
  `newInstance(String resourceKey, LocalizationState localizationState, String diagnostics)`
  `abstract void`
  `setDiagnostics(String diagnostics)`
  Sets the diagnostics.
  `abstract void`
  `setLocalizationState(LocalizationState state)`
  Sets the localization state.
  `abstract void`
  `setResourceKey(String resourceKey)`
  Sets the resource key.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocalizationStatus

    public LocalizationStatus()

- ## Method Details

  - ### newInstance

    public static LocalizationStatus newInstance(String resourceKey, LocalizationState localizationState)

  - ### newInstance

    public static LocalizationStatus newInstance(String resourceKey, LocalizationState localizationState, String diagnostics)

  - ### getResourceKey

    public abstract String getResourceKey()
    Get the resource key.
    Returns:
      resource key.

  - ### setResourceKey

    @Private public abstract void setResourceKey(String resourceKey)
    Sets the resource key.
    Parameters:
      `resourceKey` - resource key.

  - ### getLocalizationState

    public abstract LocalizationState getLocalizationState()
    Get the localization sate.
    Returns:
      localization state.

  - ### setLocalizationState

    @Private public abstract void setLocalizationState(LocalizationState state)
    Sets the localization state.
    Parameters:
      `state` - localization state

  - ### getDiagnostics

    public abstract String getDiagnostics()
    Get the diagnostics.
    Returns:
      diagnostics.

  - ### setDiagnostics

    @Private public abstract void setDiagnostics(String diagnostics)
    Sets the diagnostics.
    Parameters:
      `diagnostics` - diagnostics.